{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-info-circle"></i>&nbsp;&nbsp;
                Profile&nbsp;-&nbsp;{{ user.roll_no }}&nbsp;-&nbsp;{{ user.first_name }}&nbsp;{{ user.middle_name }}&nbsp;{{ user.last_name }}
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                <div class="profile_img">
                    <div id="crop-avatar">
                        {% load static %}
                        {% get_media_prefix as MEDIA_ROOT %}
                        {% if user.gender == "M" %}
                            <img src={% if user.user.avatar %}
                                {{ MEDIA_ROOT }}{{ user.user.avatar }}{% else %}
                                "{{ MEDIA_ROOT }}/images/male.png"
                            {% endif %} alt="No image" height="250px" width="250px"><br/>
                        {% endif %}
                        {% if user.gender == "F" %}
                            <img src={% if user.user.avatar %}
                                {{ MEDIA_ROOT }}{{ user.user.avatar }}{% else %}
                                "{{ MEDIA_ROOT }}/images/female.png"
                            {% endif %} alt="No image" height="250px" width="250px"><br/>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-sm-8 col-xs-12">
                {% csrf_token %}
                <table class="table">
                    <tr>

                        <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                            Name
                        </th>
                        <td>
                            {{ user.first_name }}&nbsp;{{ user.middle_name }}&nbsp;{{ user.last_name }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                            Register No.
                        </th>
                        <td>
                            {{ user.roll_no }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                            Phone No.
                        </th>
                        <td>
                            {{ user.phone_number }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                            Email id
                        </th>
                        <td>
                            <a href="mailto:{{ custuser.email }}">{{ custuser.email }}</a>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {% if user.gender == "M" %}
                                <i class="fa fa-mars"></i>&nbsp;&nbsp;
                            {% endif %}
                            {% if user.gender == "F" %}
                                <i class="fa fa-venus"></i>&nbsp;&nbsp;
                            {% endif %}
                            Gender
                        </th>
                        <td>
                            {% if user.gender == "M" %}
                                Male
                            {% endif %}
                            {% if user.gender == "F" %}
                                Female
                            {% endif %}

                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-calendar"></i>&nbsp;&nbsp;
                            DOB
                        </th>
                        <td>
                            {{ user.dob }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                            Department
                        </th>
                        <td>
                            {{ user.department }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-group"></i>&nbsp;&nbsp;
                            Batch
                        </th>
                        <td>
                            {{ user.batch }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-newspaper-o"></i>&nbsp;&nbsp;
                            Current semester
                        </th>
                        <td>
                            {{ current_semester_of_student }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                            Qualification
                        </th>
                        <td>
                            {{ user.qualification }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-sign-in"></i>&nbsp;&nbsp;
                            Date of Joining
                        </th>
                        <td>
                            {{ user.date_of_joining }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-send-o"></i>&nbsp;&nbsp;
                            Entry Type
                        </th>
                        <td>
                            {% if user.entry_type == 'regular' %}
                                Regular
                            {% endif %}
                            {% if user.entry_type == 'lateral' %}
                                Lateral
                            {% endif %}
                            {% if user.entry_type == 'transfer' %}
                                Transfer
                            {% endif %}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {% if user.student_type == 'dayscholar' %}
                                <i class="fa fa-home"></i>&nbsp;&nbsp;
                            {% endif %}
                            {% if user.student_type == 'hosteller' %}
                                <i class="fa fa-building-o"></i>&nbsp;&nbsp;
                            {% endif %}
                            Student Type
                        </th>
                        <td>
                            {% if user.student_type == 'dayscholar' %}
                                Day Scholar
                            {% endif %}
                            {% if user.student_type == 'hosteller' %}
                                Hosteller
                            {% endif %}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-male"></i>&nbsp;&nbsp;
                            Father Name
                        </th>
                        <td>
                            {{ user.father_name }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-female"></i>&nbsp;&nbsp;
                            Mother Name
                        </th>
                        <td>
                            {{ user.mother_name }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-home"></i>&nbsp;&nbsp;
                            Permanent address
                        </th>
                        <td>
                            {{ user.permanent_address }}
                        </td>
                    </tr>
                    <tr>
                        <th><i class="fa fa-building"></i>&nbsp;&nbsp;
                            Temporary address
                        </th>
                        <td>
                            {{ user.temporary_address }}
                        </td>
                    </tr>
                </table>
                <div class="col-md-1"></div>
                {% if request.session.user_type == "student" %}
                    <div class="col-md-11">
                        <a href="{% url "update_user" %}">
                            <button class="save btn btn-lg btn-success">Edit
                            </button>
                        </a>
                    </div>
                {% endif %}
                <label class="col-sm-2 control-label"
                       id={{ field.id_for_label }}>{{ field.label }}</label>
                <div class="col-sm-9">
                    {{ field }}
                    {% for error in field.errors %}
                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                    {% endfor %}
                </div>
            </div>

        </div>
    </div>
    {% if consolidated_attendance_list %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h5><strong>Current semester Attendance</strong></h5>
            </div>
            <div class="panel-body">
                <table class="table table-striped table-bordered table-hover" style="table-layout: fixed">
                    <thead>
                    <tr>
                        <th align="center">Subject code</th>
                        <th align="center">Subject name</th>
                        <th align="center">Total hours</th>
                        <th align="center">Present hours</th>
                        <th align="center">Percentage</th>
                        <th colspan="2">Absent date & hour</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for each in consolidated_attendance_list %}
                        <tr>
                            <td>{{ each.course_instance.course_id }}</td>
                            <td>{{ each.course_instance.course_name }}</td>
                            <td>{{ each.subject_consolidated_result.total_days }}</td>
                            <td>{{ each.subject_consolidated_result.present_days }}</td>
                            <td>{{ each.subject_consolidated_result.percentage }}</td>
                            <td colspan="2">
                            {% for absent_entry in each.subject_absent_days %}
                                {{ absent_entry.date }} - hour = {{ absent_entry.hour }} <br>
                            {% endfor %}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endif %}

    {% if overall_2012_attendance_result %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h5><strong>Overall Attendance</strong></h5>
            </div>
            <div class="panel-body">
                <div class="col-md-8 col-md-offset-2">
                <table class="table table-striped table-bordered table-hover" style="table-layout: fixed">
                    <thead>
                    <tr>
                        <th align="center">Total days</th>
                        <th align="center">Present days</th>
                        <th align="center">Absent days</th>
                        <th align="center">Percentage</th>
                        <th align="center">Forenoon absent days</th>
                        <th align="center">Afternoon absent days</th>
                    </tr>
                    </thead>
                        <tr>
                            <td>{{ overall_2012_attendance_result.total_days }}</td>
                            <td>{{ overall_2012_attendance_result.present_days }}</td>
                            <td>{{ overall_2012_attendance_result.absent_days }}</td>
                            <td>{{ overall_2012_attendance_result.percentage }}</td>
                            <td>
                                {% for absent_date in overall_2012_attendance_result.fn_absent_days %}
                                    {{ absent_date }} <br>
                                {% endfor %}
                            </td>
                            <td>
                                {% for absent_date in overall_2012_attendance_result.an_absent_days %}
                                    {{ absent_date }} <br>
                                {% endfor %}
                            </td>
                        </tr>
                        </tr>
                    </tbody>
                </table>
                    </div>
            </div>
        </div>
    {% endif %}

    {% if achievements %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h5><strong>List of Achievements</strong></h5>
            </div>
            <div class="panel-body">
                <table class="table table-striped table-bordered table-hover" style="table-layout: fixed">
                    <thead>
                    <tr>
                        <th style="width: 10%;word-wrap: break-word;text-align: center">S. No.</th>
                        <th style="width: 70%;word-wrap: break-word;text-align: center">Description</th>
                        <th style="width: 20%;word-wrap: break-word;text-align: center">Semester</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for each in achievements %}
                        <tr>
                            <td style="width: 10%;word-wrap: break-word;text-align: center">{{ forloop.counter }}</td>
                            <td style="width: 70%;word-wrap: break-word">{{ each.description }}</td>
                            <td style="width: 20%;word-wrap: break-word;text-align: center">
                                {% if each.semester_number == 1 %}
                                    FIRST
                                {% endif %}
                                {% if each.semester_number == 2 %}
                                    SECOND
                                {% endif %}
                                {% if each.semester_number == 3 %}
                                    THIRD
                                {% endif %}
                                {% if each.semester_number == 4 %}
                                    FOURTH
                                {% endif %}
                                {% if each.semester_number == 5 %}
                                    FIFTH
                                {% endif %}
                                {% if each.semester_number == 6 %}
                                    SIXTH
                                {% endif %}
                                {% if each.semester_number == 7 %}
                                    SEVENTH
                                {% endif %}
                                {% if each.semester_number == 8 %}
                                    EIGHTH
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endif %}

{% endblock %}